# Queries: listqueries

> [!CAUTION]
> This version of the Bid Manager API has been sunset. Users must [migrate to Bid Manager API v2](https://developers.google.com/bid-manager/how-tos/v2-migration).
>
>
> Requests to this version may return an error. If the request is successful, the following fields in retrieved [`Query`](https://developers.google.com/bid-manager/v1.1/queries#resource) resources will be empty:
>
> - [`metadata.googleCloudStoragePathForLatestReport`](https://developers.google.com/bid-manager/v1.1/queries#metadata.googleCloudStoragePathForLatestReport)
> - [`metadata.latestReportRunTimeMs`](https://developers.google.com/bid-manager/v1.1/queries#metadata.latestReportRunTimeMs)
> - [`metadata.googleDrivePathForLatestReport`](https://developers.google.com/bid-manager/v1.1/queries#metadata.googleDrivePathForLatestReport)
>
> <br />
>
> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/bid-manager/v1.1/queries/listqueries#auth).

Retrieves stored queries.
[Try it now](https://developers.google.com/bid-manager/v1.1/queries/listqueries#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/doubleclickbidmanager/v1.1/queries
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Optional query parameters** |||
| `pageSize` | `integer` | Maximum number of results per page. Must be between `1` and `100`. Defaults to `100` if unspecified. |
| `pageToken` | `string` | Optional pagination token. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclickbidmanager` |

For more information, see the [authentication and authorization](https://developers.google.com/bid-manager/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "doubleclickbidmanager#listQueriesResponse",
  "queries": [
    queries Resource
  ],
  "nextPageToken": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `queries[]` | `list` | Retrieved queries. |   |
| `kind` | `string` | Identifies what kind of resource this is. Value: the fixed string `"doubleclickbidmanager#listQueriesResponse"`. |   |
| `nextPageToken` | `string` | Next page's pagination token if one exists. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclickbidmanager/v1.1/doubleclickbidmanager.queries.listqueries).